R_RECV_FD(3)

EXPERIMENTAL_FUNC
r_recv_fd - Receive a file descriptor over a connection.

SYNOPSIS
#include <karma_r.h>

int r_recv_fd

(int conn_fd)

DESCRIPTION
Receive a file descriptor over a connection.

conn_fd
    The connection file descriptor.

RETURN VALUE
The received file descriptor on success, else -1.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/